Subject: bug#72534: M-x restart-emacs no longer restarts emacs

From: Tri Attack <[email-masked]>
Date: Thu, 8 Aug 2024 11:49:24 -0700

Hello,

     I just upgraded from Emacs 29.3 to Emacs 29.4 about 30 minutes ago
with no changes to my configuration. However, I have found that one of my
most beloved features seems to be broken. I often use `M-x restart-emacs`
to test how different configurations affect my startup time. However, right
now the command just safely shuts down emacs without starting it up again.
Given the simplicity of this situation, I believe this is a new and
original bug and not a user error. Is there anything I can do to fix this?